﻿/// <reference path="../../../Resources/TypeDefinitions/jquery/jquery.d.ts"/>
/// <reference path="../../../Resources/TypeDefinitions/select2/select2.d.ts"/>
/// <reference path="../../../rubbish.ts"/>
var PullBowerPackagePage;
(function (PullBowerPackagePage) {
    function Init(o) {
        $('#' + o.ddlId).select2({
            minimumInputLength: 3,
            ajax: {
                url: o.getPackagesUrl,
                quietMillis: 250,
                data: function (term, page) {
                    return {
                        feedId: o.feedId,
                        name: term
                    };
                },
                results: function (data, page, query) {
                    return {
                        results: $.map(data, function (p) {
                            return {
                                id: p.name,
                                text: p.name,
                                url: p.url
                            };
                        })
                    };
                }
            }
        });

        $('#' + o.ddlId).change(function () {
            var selection = $(this).select2('data');
            if (selection) {
                $('#' + o.txtRepositoryUrlId).val(selection.url);
            }
        });
    }
    PullBowerPackagePage.Init = Init;
})(PullBowerPackagePage || (PullBowerPackagePage = {}));
